        module projection
        implicit none
        integer natom,nmode,nvibi,nvibm,nreact1,nreact2
        integer itrans,iprod,nimag,linear1,linear2,linear
        integer ifunc
        real*8 delt,tmass,tmass1,tmass2
        real*8 amass(1000),freq(1000,3),eigv(1000,1000,3)
        real*8 vec(3),t1(3),t2(3),Rcoor(3)
        real*8 qtmp(1000,3),com(3)

!-->define parameters for unit transformation or other common use 
      real*8, parameter::amae=1822.88853d0,toev=27.2114d0,
     &PI=3.14159265358979323846264338327950d0,
     &tocm=219474.64d0,rbohr=0.5291772d0,
     &autoJ=4.359744d-18,amutokg=1.6605389d-27,hbar=1.054571d-34
     &,autovel=2.1877d6
!-->amae!--> atom mass
!-->toev!--> transform hartree to eV
!-->pi!--> tocmant
!-->tocm!--> transform hartree to cm-1
!-->rbohr!--> bohr radius

        character fname*50
        character fname2*50
        character fname3*50
        character software*50
        character reactype*50
        end module projection

